Package org.flowable.bpmn.model

# Class TextAnnotation

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.Artifact
org.flowable.bpmn.model.TextAnnotation

All Implemented Interfaces:
  `HasExtensionAttributes`

public class TextAnnotation extends Artifact

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `text`
  `protected String`
  `textFormat`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextAnnotation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextAnnotation`
  `clone()`
  `String`
  `getText()`
  `String`
  `getTextFormat()`
  `void`
  `setText(String text)`
  `void`
  `setTextFormat(String textFormat)`
  `void`
  `setValues(TextAnnotation otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### text

    protected String text

  - ### textFormat

    protected String textFormat

- ## Constructor Details

  - ### TextAnnotation

    public TextAnnotation()

- ## Method Details

  - ### getText

    public String getText()

  - ### setText

    public void setText(String text)

  - ### getTextFormat

    public String getTextFormat()

  - ### setTextFormat

    public void setTextFormat(String textFormat)

  - ### clone

    public TextAnnotation clone()
    Specified by:
      `clone` in class `Artifact`

  - ### setValues

    public void setValues(TextAnnotation otherElement)